#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Try
%define	pnam	Tiny
Summary:	Try::Tiny - minimal try/catch with proper localization of $@
Summary(pl.UTF-8):	Try::Tiny - minimaly try/catch z odpowiednią lokalizacją $@
Name:		perl-Try-Tiny
Version:	0.31
Release:	1
License:	MIT
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/E/ET/ETHER/Try-Tiny-%{version}.tar.gz
# Source0-md5:	993a29ee8a03c9bd9c2f7c53d1082a03
URL:		https://metacpan.org/release/Try-Tiny
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides bare bones try/catch statements that are designed
to minimize common mistakes with eval blocks, and NOTHING else.

This is unlike TryCatch which provides a nice syntax and avoids adding
another call stack layer, and supports calling return from the try
block to return from the parent subroutine. These extra features come
at a cost of a few dependencies, namely Devel::Declare and
Scope::Upper which are occasionally problematic, and the additional
catch filtering uses Moose type constraints which may not be desirable
either.

The main focus of this module is to provide simple and reliable error
handling for those having a hard time installing TryCatch, but who
still want to write correct eval blocks without 5 lines of boilerplate
each time.

%description -l pl.UTF-8
Ten moduł udostępnia proste instrukcje try/catch zaprojektowane w
celu ograniczenia popularnych błędów w blokach eval - i NIC więcej,
w przeciwieństwie do TryCatch, który udostępnia ładną składnię oraz
zapobiega dodawaniu kolejnej warstwy stosu wywołań i obsługuje powrót
z bloku try do procedury wywołującej. Te dodatkowe możliwości są
okupione kilkoma zależnościami (Devel::Declare i Scope::Upper), które
bywają problematyczne, a dodatkowe filtrowanie catch wykorzystuje
ograniczenia typu Moose, które mogą być niepożądane.

Głównym celem tego modułu jest udostępnienie prostej i wiarygodnej
obsługi błędów dla zmęczonych instalowaniem TryCatch, ale nadal
chcących pisać proste bloki eval bez każdorazowych 5 nadmiarowych
linii.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENCE
%dir %{perl_vendorlib}/Try
%{perl_vendorlib}/Try/Tiny.pm
%{_mandir}/man3/Try::Tiny.3pm*
%changelog
* Tue May 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Try-Tiny.git;a=log;h=master

* Tue May 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 1057834
- updated to 0.31

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> b63e3c2
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 83862dd
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Sep 30 2018 Jakub Bogusz <qboosh@pld-linux.org> cde1e91
- updated to 0.30
- license is MIT

* Sat Nov 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 428dbee
- updated to 0.27

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 734d46d
- updated to 0.24

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 0aca0ac
- versioned ExtUtils::MakeMaker BR

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 24de9f8
- up to 0.22

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d0a3ea
- updated to 0.12

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> abc04f7
- up to 0.11

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 0190561
- updated to 0.09
- pl desc

* Fri May 28 2010 Caleb Maclennan <caleb@alerque.com> bbff739
- Up to 0.06

* Fri Mar 05 2010 amateja <amateja@pld-linux.org> f7e2ad2
- updated to 0.04

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 6df5e55
- added missing %dir in %files section
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 1b3c7fc
- initial

